LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSEInitializer Interface Reference

Interface to manipulate Security Environment. More...

`import"XSEInitializer.idl";`

Inheritance diagram for XSEInitializer:

## Public Member Functions
::com::sun::star::xml::crypto::XXMLSecurityContext | createSecurityContext ([in] string aString)
| Creates a security context. More...
void | freeSecurityContext ([in] com::sun::star::xml::crypto::XXMLSecurityContext securityContext)
| Frees a security context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to manipulate Security Environment.

## Member Function Documentation

## ◆ createSecurityContext()

::com::sun::star::xml::crypto::XXMLSecurityContext createSecurityContext | ( | [in] string | aString | ) |

Creates a security context.

Parameters

  aString | reserved for internal use.

Returns
  the security context created

## ◆ freeSecurityContext()

void freeSecurityContext | ( | [in] com::sun::star::xml::crypto::XXMLSecurityContext | securityContext | ) |

Frees a security context.

Parameters

  securityContext | the security context to be freed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XSEInitializer.idl